﻿using Infragistics.Controls.Schedules;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamOutlookViewTooltipCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<Resource> Resources = new ObservableCollection<Resource>();
            Resource res = new Resource() { Id = "own1", Name = "res1" };
            Resources.Add(res);

            ObservableCollection<ResourceCalendar> Calendars = new ObservableCollection<ResourceCalendar>();
            ResourceCalendar cal = new ResourceCalendar() { Id = "cal1", OwningResourceId = "own1" };
            Calendars.Add(cal);            
            
            ListScheduleDataConnector connector = new ListScheduleDataConnector();
            connector.ResourceCalendarItemsSource = Calendars;
            connector.ResourceItemsSource = Resources;

            XamScheduleDataManager manager = new XamScheduleDataManager();
            manager.DataConnector = connector;
            manager.CalendarGroups.Add(new CalendarGroup() { InitialCalendarIds = "own1" });

            
            calView.DataManager = manager;
            dateNav.DataManager = manager;
        }
    }
}
